#
# spec file for package python-jupyter_jupyterlab_launcher
#
# Copyright (c) 2018 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/


%{?!python_module:%define python_module() python-%{**} python3-%{**}}
%bcond_without  test
Name:           python-jupyter_jupyterlab_launcher
Version:        0.11.2
Release:        2.1
License:        BSD-3-Clause
Summary:        Jupyter Launcher
Url:            https://github.com/jupyterlab/jupyterlab_launcher
Group:          Development/Languages/Python
Source:         https://files.pythonhosted.org/packages/source/j/jupyterlab-launcher/jupyterlab_launcher-%{version}.tar.gz
BuildRequires:  %{python_module devel}
BuildRequires:  %{python_module setuptools}
BuildRequires:  fdupes
BuildRequires:  python-rpm-macros
%if %{with test}
BuildRequires:  %{python_module Send2Trash}
BuildRequires:  %{python_module jsonschema >= 2.6.0}
BuildRequires:  %{python_module jupyter_notebook >= 4.2.0}
BuildRequires:  %{python_module pytest}
BuildRequires:  %{python_module requests}
BuildRequires:  python-mock
%endif
Requires:       python-Send2Trash
Requires:       python-jsonschema >= 2.6.0
Requires:       python-jupyter_notebook >= 4.2.0
BuildArch:      noarch

%python_subpackages

%description
This package is used to launch an application built using JupyterLab


%prep
%setup -q -n jupyterlab_launcher-%{version}

%build
%python_build

%install
%python_install
%python_expand %fdupes %{buildroot}%{$python_sitelib}

%if %{with test}
%check
rm -r build
rm -r _build*
%python_expand py.test-%{$python_bin_suffix}
%endif

%files %{python_files}
%defattr(-,root,root,-)
%doc LICENSE README.md
%{python_sitelib}/jupyterlab_launcher-%{version}-py*.egg-info
%{python_sitelib}/jupyterlab_launcher/

%changelog
* Thu Aug  2 2018 toddrme2178@gmail.com
- Update to 0.11.2
  * Update test utils to remove redundancy.
  * Support the launcher specific endpoints in the barebones app.
  * Implement workspaces listing.
  * Implement individual workspace deletion.
  * Handle requests to /lab/api/workspaces and /lab/api/workspaces/
  * Improve use of process quiet flag
  * move process utilities from jupyterlab to here
  * make workspaces directory if it does not exist.
  * Include plugin/schema name in error messages.
* Thu Nov 16 2017 toddrme2178@gmail.com
- Initial version
